<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2//EN">
<HTML>
<HEAD>
	<META HTTP-EQUIV="CONTENT-TYPE" CONTENT="text/html; charset=utf-8">
	<TITLE>Utilisation des outils et du profil</TITLE>
	<META NAME="GENERATOR" CONTENT="OpenOffice.org 2.2  (Linux)">
	<META NAME="CREATED" CONTENT="20070822;17045400">
	<META NAME="CHANGEDBY" CONTENT="Vincent Mahe">
	<META NAME="CHANGED" CONTENT="20070822;17045400">
</HEAD>

<BODY LANG="fr-FR" TEXT="#000000" DIR="LTR">
<H2><FONT FACE="Arial"><FONT SIZE=4><I>I.Utilisation des outils et du profil</I></FONT></FONT></H2>
<OL>
	<UL>
		<OL TYPE=i>
			<LI><H3><FONT FACE="Arial"><FONT SIZE=3>Application du profil</FONT></FONT></H3>
		</OL>
	</UL>
</OL>
<DL>
	<DT><FONT FACE="Times New Roman"><FONT SIZE=3>Pour appliquer un des
	profils de MARTE &agrave; un mod&egrave;le, il suffit d’utiliser
	la vue &laquo;&nbsp;UML2 Profile&nbsp;&raquo;. Pour cela, se r&eacute;f&eacute;rer
	au chapitre pr&eacute;c&eacute;dent (I).</FONT></FONT><DT>
	<FONT FACE="Times New Roman"><FONT SIZE=3>Pour appliquer le sous
	profil HRM de MARTE au mod&egrave;le, il faut suivre la manipulation
	suivante&nbsp;:</FONT></FONT><DT>
	<FONT FACE="Times New Roman"><FONT SIZE=3>S&eacute;lectionner dans
	l’outline ou dans un diagramme le mod&egrave;le racine sur lequel
	on veut appliquer le profil. Dans notre cas, il s’agit du mod&egrave;le
	&laquo;&nbsp;test&nbsp;&raquo;.</FONT></FONT><DT>
	<IMG SRC="../img/ModelProperties.png" NAME="graphics5" ALIGN=BOTTOM BORDER=0><DT>
	<BR>
	<DT><FONT FACE="Times New Roman"><FONT SIZE=3>Attention&nbsp;: il
	est recommand&eacute; pour une utilisation plus s&ucirc;re de MARTE
	de correctement nommer les &eacute;l&eacute;ments cr&eacute;&eacute;s
	par Topcased, notamment le mod&egrave;le racine (qui n’a pas de
	nom par d&eacute;faut).</FONT></FONT><DT>
	<BR>
	<DT><FONT FACE="Times New Roman"><FONT SIZE=3>Dans la vue UML2
	Profile, utiliser le bouton <B>Apply registered profile...</B>
	<IMG SRC="../img/ApplyRegisteredProfile.png" NAME="graphics6" ALIGN=BOTTOM BORDER=0>
	pour appliquer un profil enregistr&eacute; dans la plateforme. Dans
	notre cas, il s’agit du sous-profil HRM du profil MARTE.</FONT></FONT><DT>
	<BR>
	<DT><FONT FACE="Times New Roman"><FONT SIZE=3>La fen&ecirc;tre
	suivante apparait. S&eacute;lectionner le profil MARTE.</FONT></FONT></DL>
<P ALIGN=CENTER>
<IMG SRC="../img/SelectProfileView.png" NAME="graphics7" ALIGN=BOTTOM BORDER=0><DL>
	<DT>
	<BR>
	<DT><BR>
	<DT><FONT FACE="Times New Roman"><FONT SIZE=3>La fen&ecirc;tre
	suivant nous permet de choisir quel sous profil on veut appliquer.
	Le syst&egrave;me d’application de profil permet d’appliquer le
	profil s&eacute;lectionn&eacute; ainsi que tous les sous profils
	n&eacute;cessaires, il nous suffit donc d’appliquer HRM dans notre
	cas.</FONT></FONT></DL>
<P ALIGN=CENTER>
<IMG SRC="../img/SelectMARTESubProfile.png" NAME="graphics8" ALIGN=BOTTOM BORDER=0><P ALIGN=CENTER>
<BR>
<DL>
	<DT><FONT FACE="Times New Roman"><FONT SIZE=3>Une fois la s&eacute;lection
	valid&eacute;e, la fen&ecirc;tre &laquo;&nbsp;UML2 Profile&nbsp;&raquo;
	devrait afficher le contenu suivant. Il se peut que le
	rafraichissement ne se fasse pas directement, dans ce cas, il suffit
	de re-s&eacute;lectionner l’&eacute;lement mod&egrave;le dans
	l’outline ou dans un diagramme.</FONT></FONT></DL>
<P ALIGN=CENTER>
<FONT COLOR="#000000"><IMG SRC="../img/AppliedProfileList.png" NAME="graphics9" ALIGN=BOTTOM BORDER="0"></FONT><DL>
	<DT>
	<BR>
</DL>
<OL>
	<UL>
		<OL TYPE=i START=2>
			<LI><H3><FONT FACE="Arial"><FONT SIZE=3>Application d’un
			st&eacute;r&eacute;otype.</FONT></FONT></H3>
		</OL>
	</UL>
</OL>
<DL>
	<DT><FONT FACE="Times New Roman"><FONT SIZE=3>Pour appliquer un
	st&eacute;r&eacute;otype disponible dans le profil HRM, il suffit de
	s&eacute;lectionner l’&eacute;l&eacute;ment &agrave; st&eacute;r&eacute;otyper
	dans le mod&egrave;le ou dans l’outline et, dans la vue &laquo;&nbsp;UML2
	Profile&nbsp;&raquo;, appuyer sur le bouton <B>Add New Element</B> 	
	<CENTER><IMG SRC="../img/AddNewElement.png" NAME="graphics11" ALIGN=BOTTOM BORDER=0></CENTER>
	Ainsi la fen&ecirc;tre permettant de choisir quels st&eacute;r&eacute;otypes doivent 
	&ecirc;tre appliqu&eacute;s &agrave; l’&eacute;l&eacute;ment actuellement 
	s&eacute;lectionn&eacute; s'affiche. </FONT></FONT><BR \>
	<P ALIGN=CENTER><IMG SRC="../img/ApplicableStereotypes.png" NAME="graphics12" ALIGN=BOTTOM BORDER=0><DL>
</DL>
	<DT>
	<BR>
	<DT><FONT FACE="Times New Roman"><FONT SIZE=3>Pour appliquer un
	st&eacute;r&eacute;otype, 3 choix s’offrent &agrave; vous&nbsp;:</FONT></FONT><DT>
	<UL>
	<LI><FONT FACE="Times New Roman"><FONT SIZE=3>Choisir le st&eacute;r&eacute;otype
	    dans la liste &laquo;&nbsp;Applicable Stereotypes&nbsp;&raquo; et
		appuyer sur le bouton <IMG SRC="../img/AddStereotypes.png" NAME="graphics13" ALIGN=BOTTOM BORDER=0>.</FONT></FONT><DT>
	</LI>
	<LI><FONT FACE="Times New Roman"><FONT SIZE=3>Double cliquer sur le st&eacute;r&eacute;otype &agrave; appliquer</FONT></FONT><DT>
	</LI>
	<LI><FONT FACE="Times New Roman"><FONT SIZE=3>Dans la zone de texte, &eacute;crire le nom du st&eacute;r&eacute;otype &agrave; appliquer
		et appuyer sur la touche retour chariot.</FONT></FONT><DT>
	</LI>
	</UL>
	<BR>
	<DT><FONT FACE="Times New Roman"><FONT SIZE=3>Pour d&eacute;sappliquer
	un st&eacute;r&eacute;otype, 2 choix s’offrent &agrave; vous&nbsp;:</FONT></FONT><DT>
	<UL>
	<LI><FONT FACE="Times New Roman"><FONT SIZE=3>S&eacute;lectionner le st&eacute;r&eacute;otype dans la zone &laquo;&nbsp;Applied
		Stereotypes&nbsp;&raquo;et appuyer sur le bouton <IMG SRC="../img/RemoveStereotypes.png" NAME="graphics14" ALIGN=BOTTOM BORDER=0>.</FONT></FONT><DT>
	</LI>
	<LI><FONT FACE="Times New Roman"><FONT SIZE=3>Double cliquer sur le st&eacute;r&eacute;otype &agrave; d&eacute;sappliquer.</FONT></FONT><DT>
	</LI>
	</UL>
	<BR>
	<BR>
	<BR>
</DL>
</BODY>
</HTML>